<?php
/**
 * Moral Theme Customizer
 *
 * @package Moral
 *
 * about_us section
 */
$wp_customize->add_section(
	'lawman_pro_about_us',
	array(
		'title' => esc_html__( 'About Post', 'lawman-pro' ),
		'panel' => 'lawman_pro_home_panel',
	)
);

$wp_customize->add_setting(
	'lawman_pro_about_us_exerpt',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_number_range',
		'default' => 50,
		'transport'	=> 'refresh',
	)
);

$wp_customize->add_control(
	'lawman_pro_about_us_exerpt',
	array(
		'section'		=> 'lawman_pro_about_us',
		'label'			=> esc_html__( 'Exerpt Length', 'lawman-pro' ),
	)
);

// about_us enable settings
$wp_customize->add_setting(
	'lawman_pro_about_us',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_select',
		'default' => 'post'
	)
);

$wp_customize->add_control(
	'lawman_pro_about_us',
	array(
		'section'		=> 'lawman_pro_about_us',
		'label'			=> esc_html__( 'Content type:', 'lawman-pro' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'lawman-pro' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'lawman-pro' ),
				'post' => esc_html__( 'Post', 'lawman-pro' ),
				'page' => esc_html__( 'Page', 'lawman-pro' ),
		 	)
	)
);

$wp_customize->add_setting(
	'lawman_pro_about_us_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'About Author', 'lawman-pro' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'lawman_pro_about_us_title',
	array(
		'section'		=> 'lawman_pro_about_us',
		'label'			=> esc_html__(  'Title:', 'lawman-pro' ),
	)
);

$wp_customize->selective_refresh->add_partial( 
	'lawman_pro_about_us_title', 
	array(
        'selector'            => '#about_us-us p.section-subtitle',
		'render_callback'     => 'lawman_pro_about_us_partial_title',
	) 
);

$wp_customize->add_setting(
	'lawman_pro_about_us_btn_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'View Full Stories', 'lawman-pro' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'lawman_pro_about_us_btn_title',
	array(
		'section'		=> 'lawman_pro_about_us',
		'label'			=> esc_html__( 'Btn Title:', 'lawman-pro' ),
	)
);

$wp_customize->selective_refresh->add_partial( 
	'lawman_pro_about_us_btn_title', 
	array(
        'selector'            => '#about_us-us .read-more a',
		'render_callback'     => 'lawman_pro_about_us_partial_btn_title',
	) 
);

$wp_customize->add_setting(
	'lawman_pro_about_us_post_1',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_dropdown_pages',
	)
);

$wp_customize->add_control(
	'lawman_pro_about_us_post_1',
	array(
		'section'		=> 'lawman_pro_about_us',
		'label'			=> esc_html__( 'Post ', 'lawman-pro' ),
		'active_callback' => 'lawman_pro_if_about_us_post',
		'type'			=> 'select',
		'choices'		=> lawman_pro_get_post_choices(),
	)
);

// about_us page setting
$wp_customize->add_setting(
	'lawman_pro_about_us_page_1',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_dropdown_pages',
		'default' => 0,
	)
);

$wp_customize->add_control(
	'lawman_pro_about_us_page_1',
	array(
		'section'		=> 'lawman_pro_about_us',
		'label'			=> esc_html__( 'Page ', 'lawman-pro' ),
		'type'			=> 'dropdown-pages',
		'active_callback' => 'lawman_pro_if_about_us_page'
	)
);
