<?php
/**
 * Moral Theme Customizer
 *
 * @package Moral
 *
 * Posts Slider section
 */

$wp_customize->add_section(
	'lawman_pro_callus',
	array(
		'title' => esc_html__( 'Call Us', 'lawman-pro' ),
		'panel' => 'lawman_pro_home_panel',
	)
);

$wp_customize->add_setting(
	'lawman_pro_callus_sub_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'transport'	=> 'postMessage',
		'default'	=>  __('News', 'lawman-pro'),
	)
);

$wp_customize->add_control(
	'lawman_pro_callus_sub_title',
	array(
		'section'		=> 'lawman_pro_callus',
		'label'			=> esc_html__( 'Section Sub Title:', 'lawman-pro' ),
		
	)
);

$wp_customize->selective_refresh->add_partial( 
	'lawman_pro_callus_sub_title', 
	array(
        'selector'            => '#featured-callus .entry-header span',
		'render_callback'     => 'lawman_pro_callus_partial_sub_title',
	) 
);

$wp_customize->add_setting(
	'lawman_pro_callus_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'transport'	=> 'postMessage',
		'default'	=>  __('Free Case Evaluation', 'lawman-pro'),
	)
);

$wp_customize->add_control(
	'lawman_pro_callus_title',
	array(
		'section'		=> 'lawman_pro_callus',
		'label'			=> esc_html__( 'Section Title:', 'lawman-pro' ),
		
	)
);

$wp_customize->selective_refresh->add_partial( 
	'lawman_pro_callus_title', 
	array(
        'selector'            => '#featured-callus .entry-header span',
		'render_callback'     => 'lawman_pro_callus_partial_title',
	) 
);

$wp_customize->add_setting(
	'lawman_pro_callus_form_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'transport'	=> 'postMessage',
		'default'	=>  __('Fill out the form below to contact Us', 'lawman-pro'),
	)
);

$wp_customize->add_control(
	'lawman_pro_callus_form_title',
	array(
		'section'		=> 'lawman_pro_callus',
		'label'			=> esc_html__( 'Form Title :', 'lawman-pro' ),
		
	)
);

$wp_customize->selective_refresh->add_partial( 
	'lawman_pro_callus_form_title', 
	array(
        'selector'            => '#featured-callus .entry-header span',
		'render_callback'     => 'lawman_pro_callus_partial_title',
	) 
);

$wp_customize->add_setting(
	'lawman_pro_callus_form_shortcode',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'transport'	=> 'refresh',
	)
);

$wp_customize->add_control(
	'lawman_pro_callus_form_shortcode',
	array(
		'section'		=> 'lawman_pro_callus',
		'label'			=> esc_html__( 'Form shortcode :', 'lawman-pro' ),
		'description'	=> esc_html__( 'Get the form shortcode from contact form plugin example [contact-form-7 id="1875" title="Contact Form"] :', 'lawman-pro' ),
		
	)
);

$wp_customize->add_setting(
	'lawman_pro_callus_contact_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'transport'	=> 'refresh',
	)
);

$wp_customize->add_control(
	'lawman_pro_callus_contact_title',
	array(
		'section'		=> 'lawman_pro_callus',
		'label'			=> esc_html__( 'Contact Title :', 'lawman-pro' ),
		
	)
);

$wp_customize->add_setting(
	'lawman_pro_callus_contact_number',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'transport'	=> 'refresh',
	)
);

$wp_customize->add_control(
	'lawman_pro_callus_contact_number',
	array(
		'section'		=> 'lawman_pro_callus',
		'label'			=> esc_html__( 'Contact Number :', 'lawman-pro' ),
	)
);
if(get_theme_mod( 'lawman_pro_homepage_layout', 'first-design' ) == 'first-design' || get_theme_mod( 'lawman_pro_homepage_layout') == 'fourth-design'){
	// callus enable settings
	$wp_customize->add_setting(
		'lawman_pro_callus',
		array(
			'sanitize_callback' => 'lawman_pro_sanitize_select',
			'default' => 'post'
		)
	);

	$wp_customize->add_control(
		'lawman_pro_callus',
		array(
			'section'		=> 'lawman_pro_callus',
			'label'			=> esc_html__( 'Content type:', 'lawman-pro' ),
			'description'	=> esc_html__( 'Choose where you want to render the content from.', 'lawman-pro' ),
			'type'			=> 'select',		
			'choices'		=> array( 
					'disable' => esc_html__( '--Disable--', 'lawman-pro' ),
					'post' => esc_html__( 'Post', 'lawman-pro' ),
					'page' => esc_html__( 'Page', 'lawman-pro' ),
					'custom' => esc_html__( 'Custom', 'lawman-pro' ),
				)
		)
	);


		// callus post setting
		$wp_customize->add_setting(
			'lawman_pro_callus_post_1',
			array(
				'sanitize_callback' => 'lawman_pro_sanitize_dropdown_pages',
			)
		);

		$wp_customize->add_control(
			'lawman_pro_callus_post_1',
			array(
				'section'		=> 'lawman_pro_callus',
				'label'			=> esc_html__( 'Post ', 'lawman-pro' ),
				'active_callback' => 'lawman_pro_if_callus_post',
				'type'			=> 'select',
				'choices'		=> lawman_pro_get_post_choices(),
			)
		);

		// callus page setting
		$wp_customize->add_setting(
			'lawman_pro_callus_page_1',
			array(
				'sanitize_callback' => 'lawman_pro_sanitize_dropdown_pages',
				'default' => 0,
			)
		);

		$wp_customize->add_control(
			'lawman_pro_callus_page_1',
			array(
				'section'		=> 'lawman_pro_callus',
				'label'			=> esc_html__( 'Page ', 'lawman-pro' ),
				'type'			=> 'dropdown-pages',
				'active_callback' => 'lawman_pro_if_callus_page',
			)
		);

		// callus page setting
		$wp_customize->add_setting(
			'lawman_pro_callus_custom_title',
			array(
				'sanitize_callback' => 'lawman_pro_sanitize_dropdown_pages',
			)
		);

		$wp_customize->add_control(
			'lawman_pro_callus_custom_title',
			array(
				'section'		=> 'lawman_pro_callus',
				'label'			=> esc_html__( 'Title ', 'lawman-pro' ),
				'active_callback' => 'lawman_pro_if_callus_custom',

			)
		);

		$wp_customize->add_setting(
			'lawman_pro_callus_logo',
			array(
				'sanitize_callback' => 'lawman_pro_sanitize_checkbox',
				'default' => false,
			)
		);
		
		$wp_customize->add_control(
			'lawman_pro_callus_logo',
			array(
				'section'		=> 'lawman_pro_callus',
				'label'			=> esc_html__( 'Enable Logo', 'lawman-pro' ),
				'type'			=> 'checkbox',

			)
		);
}
	
$wp_customize->add_setting(
	'lawman_pro_callus_enable_social_menu',
	array(
	'sanitize_callback' => 'lawman_pro_sanitize_checkbox',
		'default' => false,
	)
);

$wp_customize->add_control(
	'lawman_pro_callus_enable_social_menu',
	array(
		'section'		=> 'lawman_pro_callus',
		'label'			=> esc_html__( 'Enable Social Menu', 'lawman-pro' ),
		'type'			=> 'checkbox',

	)
);
