<?php
/**
 * Moral Theme Customizer
 *
 * @package Moral
 *
 * cta section
 */
$wp_customize->add_section(
	'lawman_pro_cta',
	array(
		'title' => esc_html__( 'CTA', 'lawman-pro' ),
		'panel' => 'lawman_pro_home_panel',
	)
);

// cta enable settings
$wp_customize->add_setting(
	'lawman_pro_cta',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_select',
		'default' => 'recent'
	)
);

$wp_customize->add_control(
	'lawman_pro_cta',
	array(
		'section'		=> 'lawman_pro_cta',
		'label'			=> esc_html__( 'Content type:', 'lawman-pro' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'lawman-pro' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'lawman-pro' ),
				'post' => esc_html__( 'Post', 'lawman-pro' ),
				'page' => esc_html__( 'Page', 'lawman-pro' ),
				'category' => esc_html__( 'Category', 'lawman-pro' ),
		 	)
	)
);

$wp_customize->add_setting(
	'lawman_pro_cta_exerpt',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_number_range',
		'default' => 50,
		'transport'	=> 'refresh',
	)
);

$wp_customize->add_control(
	'lawman_pro_cta_exerpt',
	array(
		'section'		=> 'lawman_pro_cta',
		'label'			=> esc_html__( 'Exerpt Length', 'lawman-pro' ),
	)
);

$wp_customize->add_setting(
	'lawman_pro_cta_sub_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'Call to Action', 'lawman-pro' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'lawman_pro_cta_sub_title',
	array(
		'section'		=> 'lawman_pro_cta',
		'label'			=> esc_html__( 'Sub Title:', 'lawman-pro' ),
	)
);

$wp_customize->selective_refresh->add_partial( 
	'lawman_pro_cta_sub_title', 
	array(
        'selector'            => '#cta .section_title',
		'render_callback'     => 'lawman_pro_cta_partial_title',
	) 
);

$wp_customize->add_setting(
	'lawman_pro_cta_btn_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'Call To Action', 'lawman-pro' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'lawman_pro_cta_btn_title',
	array(
		'section'		=> 'lawman_pro_cta',
		'label'			=> esc_html__( 'Btn Title:', 'lawman-pro' ),
	)
);

$wp_customize->selective_refresh->add_partial( 
	'lawman_pro_cta_btn_title', 
	array(
        'selector'            => '#cta .section-btn_title',
		'render_callback'     => 'lawman_pro_cta_partial_btn_title',
	) 
);

$wp_customize->add_setting(
	'lawman_pro_cta_post_1',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_dropdown_pages',
	)
);

$wp_customize->add_control(
	'lawman_pro_cta_post_1',
	array(
		'section'		=> 'lawman_pro_cta',
		'label'			=> esc_html__( 'Post ', 'lawman-pro' ),
		'active_callback' => 'lawman_pro_if_cta_post',
		'type'			=> 'select',
		'choices'		=> lawman_pro_get_post_choices(),
		'active_callback'	=> 'lawman_pro_if_cta_post',
	)
);

// cta page setting
$wp_customize->add_setting(
	'lawman_pro_cta_page_1',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_dropdown_pages',
		'default' => 0,
	)
);

$wp_customize->add_control(
	'lawman_pro_cta_page_1',
	array(
		'section'		=> 'lawman_pro_cta',
		'label'			=> esc_html__( 'Page ', 'lawman-pro' ),
		'type'			=> 'dropdown-pages',
		'active_callback' => 'lawman_pro_if_cta_page'
	)
);


$wp_customize->add_setting( 'lawman_pro_cta_background_image', array(
	'sanitize_callback' => 'lawman_pro_sanitize_image',
) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'lawman_pro_cta_background_image',
	array(
	'label'       		=> esc_html__( 'Upload Image', 'lawman-pro' ),
	'section'     		=> 'lawman_pro_cta',
	'active_callback'	=> function(){
		return get_theme_mod( 'lawman_pro_homepage_layout' ) == 'second-design';
	}
) ) );