<?php
/**
 * Moral Theme Customizer
 *
 * @package Moral
 *
 * Header panel
 */

// Header section
$wp_customize->add_section(
	'lawman_pro_header_section',
	array(
		'title' => esc_html__( 'Header', 'lawman-pro' ),
		'panel' => 'lawman_pro_general_panel',
	)
);


// Header menu sticky enable settings
$wp_customize->add_setting(
	'lawman_pro_make_menu_sticky',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_checkbox',
		'default' => false
	)
);

$wp_customize->add_control(
	'lawman_pro_make_menu_sticky',
	array(
		'section'		=> 'lawman_pro_header_section',
		'label'			=> esc_html__( 'Make menu sticky.', 'lawman-pro' ),
		'type'			=> 'checkbox',
	)
);


// Header menu sticky enable settings
$wp_customize->add_setting(
	'lawman_pro_make_trasparent_menu',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_checkbox',
		'default' => false
	)
);

$wp_customize->add_control(
	'lawman_pro_make_trasparent_menu',
	array(
		'section'		=> 'lawman_pro_header_section',
		'label'			=> esc_html__( 'Make menu transparent.', 'lawman-pro' ),
		'type'			=> 'checkbox',
	)
);


$wp_customize->add_setting(	
	'lawman_pro_header_section_menu_bg_color',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_hex_color',
		'default'			=> '#253042'
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'lawman_pro_header_section_menu_bg_color',
		array(
			'section'		=> 'lawman_pro_header_section',
			'label'			=> esc_html__( 'Menu Background Color', 'lawman-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'lawman_pro_header_section_top_border_color',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'lawman_pro_header_section_top_border_color',
		array(
			'section'		=> 'lawman_pro_header_section',
			'label'			=> esc_html__( 'Nav Top Border Color', 'lawman-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'lawman_pro_header_section_nav_item_color',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_hex_color',
	)
);


$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'lawman_pro_header_section_nav_item_color',
		array(
			'section'		=> 'lawman_pro_header_section',
			'label'			=> esc_html__( 'Nav Item Color', 'lawman-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'lawman_pro_header_section_nav_item_hover_color',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_hex_color',
	)
);


$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'lawman_pro_header_section_nav_item_hover_color',
		array(
			'section'		=> 'lawman_pro_header_section',
			'label'			=> esc_html__( 'Nav Item Hover Color', 'lawman-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'lawman_pro_header_section_nav_bottom_border_color',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_hex_color',
	)
);


$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'lawman_pro_header_section_nav_bottom_border_color',
		array(
			'section'		=> 'lawman_pro_header_section',
			'label'			=> esc_html__( 'Nav Botton Border Color', 'lawman-pro' ),

		)
	)
);


// header enable background settings
$wp_customize->add_setting(
	'lawman_pro_header_background',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_select',
	)
);

$wp_customize->add_control(
	'lawman_pro_header_background',
	array(
		'label'			=> esc_html__( 'Enable Background', 'lawman-pro' ),
		'section'		=> 'lawman_pro_header_section',
		'type'			=> 'radio',
		'choices'		=> array( 
				'image' => esc_html__( 'Background Image', 'lawman-pro' ),
				'color' => esc_html__( 'Background Color', 'lawman-pro' ),
		 	),
	)
);

$wp_customize->add_setting( 'lawman_pro_header_background_image', array(
	'sanitize_callback' => 'lawman_pro_sanitize_image',
) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'lawman_pro_header_background_image',
	array(
	'label'       		=> esc_html__( 'Upload Image', 'lawman-pro' ),
	'section'     		=> 'lawman_pro_header_section',
	'active_callback'	=> 'lawman_pro_if_header_background_image',
) ) );

$wp_customize->add_setting(	
	'lawman_pro_header_background_color',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'lawman_pro_header_background_color',
		array(
			'section'		=> 'lawman_pro_header_section',
			'label'			=> esc_html__( 'Select BG Color:', 'lawman-pro' ),
			'active_callback' => 'lawman_pro_if_header_background_color',
		)
	)
);