<?php
/**
 * Moral Theme Customizer
 *
 * @package Moral
 *
 * latest section
 */

$wp_customize->add_section(
	'lawman_pro_latest',
	array(
		'title' => esc_html__( 'Latest', 'lawman-pro' ),
		'panel' => 'lawman_pro_home_panel',
	)
);

// latest enable settings
$wp_customize->add_setting(
	'lawman_pro_latest',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_select',
		'default' => 'cat'
	)
);

$wp_customize->add_control(
	'lawman_pro_latest',
	array(
		'section'		=> 'lawman_pro_latest',
		'label'			=> esc_html__( 'Content type:', 'lawman-pro' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'lawman-pro' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'lawman-pro' ),
				'post' => esc_html__( 'Post', 'lawman-pro' ),
				'page' => esc_html__( 'Page', 'lawman-pro' ),
				'cat' => esc_html__( 'Category', 'lawman-pro' ),
		 	)
	)
);
$wp_customize->add_setting(
	'lawman_pro_latest_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'latest Posts', 'lawman-pro' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'lawman_pro_latest_title',
	array(
		'section'		=> 'lawman_pro_latest',
		'label'			=> esc_html__( 'Title:', 'lawman-pro' ),
	)
);

$wp_customize->selective_refresh->add_partial( 
	'lawman_pro_latest_title', 
	array(
        'selector'            => '#blog-latest-posts .section-title',
		'render_callback'     => 'lawman_pro_latest_partial_title',
	) 
);

$wp_customize->add_setting(
	'lawman_pro_latest_btn_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'Continue Reading', 'lawman-pro' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'lawman_pro_latest_btn_title',
	array(
		'section'		=> 'lawman_pro_latest',
		'label'			=> esc_html__( 'Btn Title:', 'lawman-pro' ),
	)
);

$wp_customize->selective_refresh->add_partial( 
	'lawman_pro_latest_btn_title', 
	array(
        'selector'            => '#blog-latest-posts .section-content .read-more a',
		'render_callback'     => 'lawman_pro_latest_partial_btn_title',
	) 
);



// latest number setting
$wp_customize->add_setting(
	'lawman_pro_latest_num',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_number_range',
		'default' => 3,
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'lawman_pro_latest_num',
	array(
		'section'		=> 'lawman_pro_latest',
		'label'			=> esc_html__( 'Number of Posts:', 'lawman-pro' ),
		'description'	=> esc_html__( 'Min: 3 | Max: 9', 'lawman-pro' ),
		'type'			=> 'number',
		'input_attrs'	=> array( 'min' => 3, 'max' => 9 ),
	)
);
$latest_num = get_theme_mod( 'lawman_pro_latest_num', 3 );
for ($i=1; $i <= $latest_num ; $i++) { 
	// latest post setting
	$wp_customize->add_setting(
		'lawman_pro_latest_post_'.$i,
		array(
			'sanitize_callback' => 'lawman_pro_sanitize_dropdown_pages',
		)
	);

	$wp_customize->add_control(
		'lawman_pro_latest_post_'.$i,
		array(
			'section'		=> 'lawman_pro_latest',
			'label'			=> esc_html__( 'Post ', 'lawman-pro' ).$i,
			'active_callback' => 'lawman_pro_if_latest_post',
			'type'			=> 'select',
			'choices'		=> lawman_pro_get_post_choices(),
		)
	);

	// latest page setting
	$wp_customize->add_setting(
		'lawman_pro_latest_page_'.$i,
		array(
			'sanitize_callback' => 'lawman_pro_sanitize_dropdown_pages',
			'default' => 0,
		)
	);

	$wp_customize->add_control(
		'lawman_pro_latest_page_'.$i,
		array(
			'section'		=> 'lawman_pro_latest',
			'label'			=> esc_html__( 'Page ', 'lawman-pro' ).$i,
			'type'			=> 'dropdown-pages',
			'active_callback' => 'lawman_pro_if_latest_page'
		)
	);
}

// latest category setting
$wp_customize->add_setting(
	'lawman_pro_latest_cat',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_select',
	)
);

$wp_customize->add_control(
	'lawman_pro_latest_cat',
	array(
		'section'		=> 'lawman_pro_latest',
		'label'			=> esc_html__( 'Category:', 'lawman-pro' ),
		'active_callback' => 'lawman_pro_if_latest_cat',
		'type'			=> 'select',
		'choices'		=> lawman_pro_get_post_cat_choices(),
	)
);
