<?php
/**
 * Moral Theme Customizer
 *
 * @package Moral
 *
 * related section
 */

$wp_customize->add_section(
	'lawman_pro_related',
	array(
		'title' => esc_html__( 'Related', 'lawman-pro' ),
		'panel' => 'lawman_pro_home_panel',
	)
);

// blog enable settings
$wp_customize->add_setting(
	'lawman_pro_related',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_select',
		'default' => 'cat'
	)
);

$wp_customize->add_control(
	'lawman_pro_related',
	array(
		'section'		=> 'lawman_pro_related',
		'label'			=> esc_html__( 'Content type:', 'lawman-pro' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'lawman-pro' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'lawman-pro' ),
				'post' => esc_html__( 'Post', 'lawman-pro' ),
				'page' => esc_html__( 'Page', 'lawman-pro' ),
				'cat' => esc_html__( 'Category', 'lawman-pro' ),
		 	)
	)
);


$wp_customize->add_setting(
	'lawman_pro_related_exerpt',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_number_range',
		'default' => 30,
		'transport'	=> 'refresh',
	)
);

$wp_customize->add_control(
	'lawman_pro_related_exerpt',
	array(
		'section'		=> 'lawman_pro_related',
		'label'			=> esc_html__( 'Exerpt Length', 'lawman-pro' ),
	)
);

$wp_customize->add_setting(
	'lawman_pro_related_num',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_number_range',
		'default' => 3,
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'lawman_pro_related_num',
	array(
		'section'		=> 'lawman_pro_related',
		'label'			=> esc_html__( 'Number of Posts:', 'lawman-pro' ),
		'description'	=> esc_html__( 'Min: 3 | Max: 9', 'lawman-pro' ),
		'type'			=> 'number',
		'input_attrs'	=> array( 'min' => 3, 'max' => 9 ),
	)
);

$wp_customize->add_setting(
	'lawman_pro_related_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'You May Also Like...', 'lawman-pro' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'lawman_pro_related_title',
	array(
		'section'		=> 'lawman_pro_related',
		'label'			=> esc_html__( 'Title:', 'lawman-pro' ),
	)
);

$wp_customize->selective_refresh->add_partial( 
	'lawman_pro_related_title', 
	array(
        'selector'            => '#related-posts .section-title',
		'render_callback'     => 'lawman_pro_related_partial_title',
	) 
);

$wp_customize->add_setting(
	'lawman_pro_related_sub_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'Related Blogs', 'lawman-pro' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'lawman_pro_related_sub_title',
	array(
		'section'		=> 'lawman_pro_related',
		'label'			=> esc_html__( 'Sub Title:', 'lawman-pro' ),
	)
);

$wp_customize->selective_refresh->add_partial( 
	'lawman_pro_related_sub_title', 
	array(
        'selector'            => '#related-posts .section-subtitle',
		'render_callback'     => 'lawman_pro_related_partial_sub_title',
	) 
);

$wp_customize->add_setting(
	'lawman_pro_related_btn_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'View All', 'lawman-pro' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'lawman_pro_related_btn_title',
	array(
		'section'		=> 'lawman_pro_related',
		'label'			=> esc_html__( 'Btn Title:', 'lawman-pro' ),
		'active_callback'	=> function(){
			return get_theme_mod( 'lawman_pro_homepage_layout' ) == 'second-design';
		}
	)
);

$wp_customize->selective_refresh->add_partial( 
	'lawman_pro_related_btn_title', 
	array(
        'selector'            => '#related-posts .read-more',
		'render_callback'     => 'lawman_pro_related_partial_btn_title',
	) 
);


$wp_customize->add_setting(
	'lawman_pro_related_btn_url',
	array(
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	'lawman_pro_related_btn_url',
	array(
		'section'		=> 'lawman_pro_related',
		'label'			=> esc_html__( 'Btn Url:', 'lawman-pro' ),
		'active_callback'	=> function(){
			return get_theme_mod( 'lawman_pro_homepage_layout' ) == 'second-design';
		}
	)
);




$blog_num = get_theme_mod( 'lawman_pro_related_num', 3 );
for ($i=1; $i <= $blog_num ; $i++) { 
	// blog post setting
	$wp_customize->add_setting(
		'lawman_pro_related_post_'.$i,
		array(
			'sanitize_callback' => 'lawman_pro_sanitize_dropdown_pages',
		)
	);

	$wp_customize->add_control(
		'lawman_pro_related_post_'.$i,
		array(
			'section'		=> 'lawman_pro_related',
			'label'			=> esc_html__( 'Post ', 'lawman-pro' ).$i,
			'active_callback' => 'lawman_pro_if_related_post',
			'type'			=> 'select',
			'choices'		=> lawman_pro_get_post_choices(),
		)
	);

	// blog page setting
	$wp_customize->add_setting(
		'lawman_pro_related_page_'.$i,
		array(
			'sanitize_callback' => 'lawman_pro_sanitize_dropdown_pages',
			'default' => 0,
		)
	);

	$wp_customize->add_control(
		'lawman_pro_related_page_'.$i,
		array(
			'section'		=> 'lawman_pro_related',
			'label'			=> esc_html__( 'Page ', 'lawman-pro' ).$i,
			'type'			=> 'dropdown-pages',
			'active_callback' => 'lawman_pro_if_related_page'
		)
	);
}

// blog category setting
$wp_customize->add_setting(
	'lawman_pro_related_cat',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_select',
	)
);

$wp_customize->add_control(
	'lawman_pro_related_cat',
	array(
		'section'		=> 'lawman_pro_related',
		'label'			=> esc_html__( 'Category:', 'lawman-pro' ),
		'active_callback' => 'lawman_pro_if_related_cat',
		'type'			=> 'select',
		'choices'		=> lawman_pro_get_post_cat_choices(),
	)
);
