<?php
/**
 * Moral Theme Customizer
 *
 * @package Moral
 *
 * testinomial section
 */
$wp_customize->add_section(
	'lawman_pro_testinomial',
	array(
		'title' => esc_html__( 'Testinomial', 'lawman-pro' ),
		'panel' => 'lawman_pro_home_panel',
	)
);
$wp_customize->add_setting(
	'lawman_pro_testinomial_exerpt',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_number_range',
		'default' => 30,
		'transport'	=> 'refresh',
	)
);

$wp_customize->add_control(
	'lawman_pro_testinomial_exerpt',
	array(
		'section'		=> 'lawman_pro_testinomial',
		'label'			=> esc_html__( 'Exerpt Length', 'lawman-pro' ),
	)
);
// testinomial enable settings
$wp_customize->add_setting(
	'lawman_pro_testinomial',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_select',
		'default' => 'cat'
	)
);

$wp_customize->add_control(
	'lawman_pro_testinomial',
	array(
		'section'		=> 'lawman_pro_testinomial',
		'label'			=> esc_html__( 'Content type:', 'lawman-pro' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'lawman-pro' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'lawman-pro' ),
				'post' => esc_html__( 'Post', 'lawman-pro' ),
				'page' => esc_html__( 'Page', 'lawman-pro' ),
				'cat' => esc_html__( 'Category', 'lawman-pro' ),
		 	)
	)
);

$wp_customize->add_setting(
	'lawman_pro_testinomial_sub_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'testinomials', 'lawman-pro' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'lawman_pro_testinomial_sub_title',
	array(
		'section'		=> 'lawman_pro_testinomial',
		'label'			=> esc_html__(  'Sub Title:', 'lawman-pro' ),
		'active_callback'	=> function(){
			return get_theme_mod( 'lawman_pro_homepage_layout' ) == 'first-design';
		}
	)
);

$wp_customize->selective_refresh->add_partial( 
	'lawman_pro_testinomial_sub_title', 
	array(
        'selector'            => '#testimonial div.section-header p',
		'render_callback'     => 'lawman_pro_testinomial_partial_sub_title',
	) 
);

$wp_customize->add_setting(
	'lawman_pro_testinomial_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'Every Client Matters', 'lawman-pro' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'lawman_pro_testinomial_title',
	array(
		'section'		=> 'lawman_pro_testinomial',
		'label'			=> esc_html__(  'Title:', 'lawman-pro' ),
		'active_callback'	=> function(){
			return get_theme_mod( 'lawman_pro_homepage_layout' ) == 'first-design';
		}
	)
);

$wp_customize->selective_refresh->add_partial( 
	'lawman_pro_testinomial_title', 
	array(
        'selector'            => '#testimonial div.section-header h2',
		'render_callback'     => 'lawman_pro_testinomial_partial_title',
	) 
);

// testinomial number setting
$wp_customize->add_setting(
	'lawman_pro_testinomial_num',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_number_range',
		'default' => 3,
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'lawman_pro_testinomial_num',
	array(
		'section'		=> 'lawman_pro_testinomial',
		'label'			=> esc_html__( 'Number of Posts:', 'lawman-pro' ),
		'description'	=> esc_html__( 'Min: 3 | Max: 9', 'lawman-pro' ),
		'type'			=> 'number',
		'input_attrs'	=> array( 'min' => 3, 'max' => 9 ),
	)
);
$testinomial_num = get_theme_mod( 'lawman_pro_testinomial_num', 3 );
for ($i=1; $i <= $testinomial_num ; $i++) { 
	// testinomial post setting
	$wp_customize->add_setting(
		'lawman_pro_testinomial_post_'.$i,
		array(
			'sanitize_callback' => 'lawman_pro_sanitize_dropdown_pages',
		)
	);

	$wp_customize->add_control(
		'lawman_pro_testinomial_post_'.$i,
		array(
			'section'		=> 'lawman_pro_testinomial',
			'label'			=> esc_html__( 'Post ', 'lawman-pro' ).$i,
			'active_callback' => 'lawman_pro_if_testinomial_post',
			'type'			=> 'select',
			'choices'		=> lawman_pro_get_post_choices(),
		)
	);

	// testinomial page setting
	$wp_customize->add_setting(
		'lawman_pro_testinomial_page_'.$i,
		array(
			'sanitize_callback' => 'lawman_pro_sanitize_dropdown_pages',
			'default' => 0,
		)
	);

	$wp_customize->add_control(
		'lawman_pro_testinomial_page_'.$i,
		array(
			'section'		=> 'lawman_pro_testinomial',
			'label'			=> esc_html__( 'Page ', 'lawman-pro' ).$i,
			'type'			=> 'dropdown-pages',
			'active_callback' => 'lawman_pro_if_testinomial_page'
		)
	);

	$wp_customize->add_setting(
		'lawman_pro_testinomial_post_sub_title_'.$i,
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => esc_html__( 'Public Relations', 'lawman-pro' ),
			'transport'	=> 'refresh',
		)
	);
		
	$wp_customize->add_control(
		'lawman_pro_testinomial_post_sub_title_'.$i,
		array(
			'section'		=> 'lawman_pro_testinomial',
			'label'			=> esc_html__(  'Post Sub Title:', 'lawman-pro' ).$i,
		)
	);

}

// testinomial category setting
$wp_customize->add_setting(
	'lawman_pro_testinomial_cat',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_select',
	)
);

$wp_customize->add_control(
	'lawman_pro_testinomial_cat',
	array(
		'section'		=> 'lawman_pro_testinomial',
		'label'			=> esc_html__( 'Category:', 'lawman-pro' ),
		'active_callback' => 'lawman_pro_if_testinomial_cat',
		'type'			=> 'select',
		'choices'		=> lawman_pro_get_post_cat_choices(),
	)
);


// overlay enable settings
$wp_customize->add_setting(
	'lawman_pro_testinomial_overlay',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_checkbox',
		'default' => false
	)
);

$wp_customize->add_control(
	'lawman_pro_testinomial_overlay',
	array(
		'section'		=> 'lawman_pro_testinomial',
		'label'			=> esc_html__( 'Enable Overlay', 'lawman-pro' ),
		'type'			=> 'checkbox'
	)
);


// testinomial enable background settings
$wp_customize->add_setting(
	'lawman_pro_testinomial_background',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_select',
		'default'			=> 'color',
	)
);

$wp_customize->add_control(
	'lawman_pro_testinomial_background',
	array(
		'label'			=> esc_html__( 'Enable Background', 'lawman-pro' ),
		'section'		=> 'lawman_pro_testinomial',
		'type'			=> 'radio',
		'choices'		=> array( 
				'image' => esc_html__( 'Background Image', 'lawman-pro' ),
				'color' => esc_html__( 'Background Color', 'lawman-pro' ),
		 	),
	)
);

$wp_customize->add_setting( 'lawman_pro_testinomial_background_image', array(
	'sanitize_callback' => 'lawman_pro_sanitize_image',
) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'lawman_pro_testinomial_background_image',
	array(
	'label'       		=> esc_html__( 'Upload Image', 'lawman-pro' ),
	'section'     		=> 'lawman_pro_testinomial',
	'active_callback'	=> 'lawman_pro_if_testinomial_background_image',
) ) );

$wp_customize->add_setting(	
	'lawman_pro_testinomial_background_color',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_hex_color',
		'default'			=> '#253042',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'lawman_pro_testinomial_background_color',
		array(
			'section'		=> 'lawman_pro_testinomial',
			'label'			=> esc_html__( 'Select BG Color:', 'lawman-pro' ),
			'active_callback' => 'lawman_pro_if_testinomial_background_color',
		)
	)
);