<?php
/**
 * Template part for displaying front page imtroduction.
 *
 * @package Moral
 */

// Get the content type.
$about_us = get_theme_mod( 'lawman_pro_about_us', 'post' );

// Bail if the section is disabled.
if ( 'disable' === $about_us ) {
	return;
}
$content_details = lawman_pro_get_section_content( 'about_us', $about_us, 1 );
?>
<div id="about-us" class="page-section clear">
    <div class="wrapper">
        <?php foreach($content_details as $content):?>
        <article class="has-post-thumbnail">
            <div class="featured-image" style="background-image: url('<?php echo esc_url(get_the_post_thumbnail_url($content['id'], 'medium_large')); ?>');">
                <a href="<?php echo esc_url( $content['url'] ) ; ?>" class="post-thumbnail-link"></a>
            </div><!-- .featured-image -->

            <div class="entry-container">
                <div class="section-header">
                    <?php if ( !empty( get_theme_mod( 'lawman_pro_about_us_title', __( 'About Us', 'lawman-pro' ) ) ) ): ?>
                    <p class="section-subtitle">
                        <?php echo esc_html( get_theme_mod( 'lawman_pro_about_us_title', __( 'About Us', 'lawman-pro' ) ) ) ; ?>
                    </p>
                    <?php endif ?>

                    <h2 class="section-title">
                        <?php echo esc_html( $content['title'] ) ; ?>
                    </h2>
                </div><!-- .section-header -->
                <div class="entry-content">
                    <p><?php echo esc_html( wp_trim_words( $content['content'], get_theme_mod( 'lawman_pro_about_us_exerpt', 50 ) )  ) ; ?></p>

                    <?php if ( !empty( get_theme_mod( 'lawman_pro_about_us_btn_title', __( 'About Us', 'lawman-pro' ) ) ) ): ?>
                    <div class="read-more">
                        <a href="<?php echo esc_url( $content['url'] ) ; ?>" class="btn">
                            <?php echo esc_html( get_theme_mod( 'lawman_pro_about_us_btn_title', __( 'View Full Stories', 'lawman-pro' ) ) ) ; ?>
                        </a>
                    </div><!-- .read-more -->
                    <?php endif; ?>

                </div><!-- .entry-content -->
            </div><!-- .entry-container -->
        </article>
        <?php endforeach; ?>
    </div><!-- .wrapper -->
</div><!-- #about_us -->