<?php
/**
 * Template part for displaying front page imtroduction.
 *
 * @package Moral
 */

// Get the content type.
$slider = get_theme_mod( 'lawman_pro_slider', 'cat' );
$slider_num	= get_theme_mod( 'lawman_pro_slider_num', 3 ) ;
// Bail if the section is disabled.
if ( 'disable' === $slider ) {
	return;
}

$content_details = lawman_pro_get_section_content( 'slider', $slider, $slider_num ); ?>

<div id="blog-slider" class="wrapper" data-slick='{"slidesToShow": 1, "slidesToScroll": 1, "infinite": true, "speed": 1000, "dots": false, "arrows":true, "autoplay": false, "draggable": true, "fade": false }'>
    <?php foreach($content_details as $content ): ?>
    
    <article style="background-image:url('<?php echo esc_url( get_the_post_thumbnail_url( $content['id'], 'large' ) ) ; ?>');">
        <div class="blog-slider-wrapper">
            <span class="cat-links">
                <span><?php echo esc_html( get_theme_mod('lawman_pro_slider_title', __('Lifestyle', 'lawman-pro')) ) ;?></span>                               
            </span><!-- .cat-links -->

            <header class="entry-header">
                <h2 class="entry-title"><a href="<?php echo esc_url($content['url']); ?>"><?php echo $content['title']; ?></a></h2>
            </header>

            <div class="entry-content">
                <p><?php echo wp_kses_post( wp_trim_words( $content['content'], get_theme_mod( 'lawman_pro_slider_exerpt', 30 ) )  ) ; ?></p>
            </div><!-- .read-more -->

            <?php if ( !empty( get_theme_mod( 'lawman_pro_slider_btn_title') ) ): ?>
                <div class="read-more">
                    <a href="<?php echo esc_url($content['url']); ?>"><?php echo esc_html(get_theme_mod('lawman_pro_slider_btn_title', __('Continue Reading','lawman-pro')));?></a>
                </div><!-- .read-more -->
            <?php endif; ?>
        </div><!-- .blog-slider-wrapper -->
    </article>

    <?php endforeach; ?>
</div><!-- #featured-slider -->