<?php
/**
 * Template part for displaying front page imtroduction.
 *
 * @package Moral
 */


// Get the content type.
$cta = get_theme_mod( 'lawman_pro_cta', 'recent' );
$home_layout = get_theme_mod( 'lawman_pro_homepage_layout', 'first-design' ) ;


// Bail if the section is disabled.
if ( 'disable' === $cta ) {
    return;
}

$content_detail = lawman_pro_get_section_content( 'cta', $cta, 1 );

?>

<?php foreach ($content_detail as $content): ?>

<div id="cta" class="page-section no-padding-top"  style="background-image: url('<?php echo esc_url( get_theme_mod('lawman_pro_cta_background_image') ); ?>');">
    <?php if($home_layout == 'second-design') echo '<div class="overlay"></div>';?>
    <div class="wrapper">
        <article class="has-post-thumbnail">
            <?php if($home_layout == 'first-design'):?>
            <div class="featured-image" style="background-image: url('<?php echo esc_url( get_the_post_thumbnail_url( $content['id'], 'medium_large' ) ) ?>');">
                <a href="<?php echo esc_url( $content['url'] ) ?>" class="post-thumbnail-link"></a>
            </div><!-- .featured-image -->
            <?php endif;?>


            <div class="entry-container">
                <div class="section-header">
                    <p class="section-subtitle"><?php echo esc_html( get_theme_mod( 'lawman_pro_cta_sub_title' ) ); ?></p>
                    <h2 class="section-title"><?php echo esc_html( $content['title'] ); ?></h2>
                </div><!-- .section-header -->
                <div class="entry-content">
                    <p>
                        <?php echo esc_html( wp_trim_words( $content['content'], get_theme_mod( 'lawman_pro_cta_exerpt', 50) )  ) ; ?>
                    </p>

                    <?php if ( !empty( get_theme_mod( 'lawman_pro_cta_btn_title', __('Make an Appointment','lawman-pro') ) ) ): ?>
                        <div class="read-more">
                            <a href="<?php echo esc_url( $content['url'] ) ?>" class="btn">
                                <?php echo esc_html( get_theme_mod( 'lawman_pro_cta_btn_title', __('Make an Appointment','lawman-pro') ) ); ?>
                            </a>
                        </div>
                    <?php endif; ?> 
                </div><!-- .entry-content -->
            </div><!-- .entry-container -->
        </article>
    </div><!-- .wrapper -->
</div><!-- #cta -->
<?php endforeach; ?>
