<?php
/**
 * Template part for displaying front page imtroduction.
 *
 * @package Moral
 */

// Get the content type.
$latest       = get_theme_mod( 'lawman_pro_latest', 'cat' );
$latest_num	= get_theme_mod( 'lawman_pro_latest_num', 3 ) ;

// Bail if the section is disabled.
if ( 'disable' === $latest ) {
	return;
}

$content_details = lawman_pro_get_section_content( 'latest', $latest, $latest_num );

?>


<div id="blog-latest-posts" class="relative page-section">
    <div class="wrapper">
        <div class="section-header">
            <h2 class="section-title"><?php echo esc_html( get_theme_mod( 'lawman_pro_latest_title', __( 'Latest Posts', 'lawman-pro' ) ) ) ; ?></h2>
        </div><!-- .section-header -->

        <div class="section-content clear">
        <?php foreach($content_details as $content): ?>

            <article>
                <div class="blog-post-wrapper">
                    <span class="cat-links">
                        <?php the_category( '', '', $content['id'] ); ?>                           
                    </span><!-- .cat-links -->

                    <header class="entry-header">
                        <h2 class="entry-title">
                            <a href="<?php echo esc_url( $content['url'] ) ; ?>"><?php echo esc_html( $content['title'] ) ; ?></a>
                        </h2>
                    </header>

                    <?php lawman_pro_posted_on( $content['id'] ) ; ?>

                    <div class="featured-image">
                        <a href="#"><img src="<?php echo esc_url( get_the_post_thumbnail_url( $content['id'], 'post-thumbnail' ) ) ; ?>"></a>
                    </div><!-- .featured-image -->

                    <div class="entry-content">
                        <p><?php echo wp_kses_post( wp_trim_words( $content['content'], get_theme_mod( 'lawman_pro_latest_exerpt', 30 ) )  ) ; ?></p>
                    </div><!-- .entry-content -->
                    
                    <?php if ( !empty( get_theme_mod( 'lawman_pro_latest_btn_title') ) ): ?>
                        <div class="read-more">
                            <a href="<?php echo esc_url($content['url']); ?>"><?php echo esc_html(get_theme_mod('lawman_pro_latest_btn_title', __('Continue Reading','lawman-pro')));?></a>
                        </div><!-- .read-more -->
                    <?php endif; ?>

                </div><!-- .blog-post-wrapper -->
            </article>
            <?php endforeach; ?>

        </div><!-- .section-content -->
    </div><!-- .wrapper -->
</div><!-- #bog-latest-posts -->