<?php
/**
 * Template part for displaying front page imtroduction.
 *
 * @package Moral
 */

// Get the content type.
$main_service = get_theme_mod( 'lawman_pro_main_service', 'cat' );
$main_service_num    = $main_service_num = get_theme_mod( 'lawman_pro_main_service_num', 3 ); 
$home_layout = get_theme_mod( 'lawman_pro_homepage_layout', 'first-design' ) ;

// Bail if the section is disabled.
if ( 'disable' === $main_service ) {
    return;
}
$content_details = lawman_pro_get_section_content( 'main_service', $main_service, $main_service_num ); ?>

<div id="main-services">
    <div class="wrapper">
        <div class="main-services-wrapper col-3 clear">
        <?php foreach($content_details as $i => $content ): ?>
            <article class="hentry">
            <?php if($home_layout == 'second-design') echo '<div class="entry-container">'; ?>

                <div class="icon-container">
                    <i class="fas fa-<?php echo esc_attr(get_theme_mod('lawman_pro_main_service_icons_'.($i+1).'', 'newspaper')) ;?> fa-3x"></i>
                </div><!-- .icon-container -->

                <header class="entry-header">
                    <?php if($home_layout == 'second-design') :?>
                        <h2 class="entry-title"><a href="<?php echo esc_url($content['url']); ?>"><?php echo $content['title']; ?></a></h2>
                    <?php endif; ?>
                        <span><?php echo esc_html( get_theme_mod('lawman_pro_main_service_title_'.($i+1).'', __('Book An', 'lawman-pro')) ) ;?></span>
                    <?php if($home_layout != 'second-design') :?>
                        <h2 class="entry-title"><a href="<?php echo esc_url($content['url']); ?>"><?php echo $content['title']; ?></a></h2>
                    <?php endif; ?>
                </header>
            <?php if($home_layout == 'second-design') echo '</div>'; ?>

            </article><!-- .hentry -->
        <?php endforeach ; ?>
        </div>
    </div><!-- .wrapper -->
</div><!-- #main-services -->
        