<?php
/**
 * Template part for displaying front page imtroduction.
 *
 * @package Moral
 */

// Get the content type.
$slider = get_theme_mod( 'lawman_pro_slider', 'cat' );
$slider_num	= get_theme_mod( 'lawman_pro_slider_num', 3 ) ;
$home_layout = get_theme_mod( 'lawman_pro_homepage_layout', 'first-design' ) ;
// Bail if the section is disabled.
if ( 'disable' === $slider ) {
	return;
}

$content_details = lawman_pro_get_section_content( 'slider', $slider, $slider_num );

function lawman_pro_slider_header_section($content){
    ob_start(); ?>

    <header class="entry-header">
        <span><?php echo esc_html( get_theme_mod('lawman_pro_slider_title', __('Lawyer & Attorney', 'lawman-pro')) ) ;?></span>
        <h2 class="entry-title"><a href="<?php echo esc_url($content['url']); ?>"><?php echo $content['title']; ?></a></h2>
    </header>

    <div class="entry-content">
        <p><?php echo esc_html( wp_trim_words( $content['content'], get_theme_mod( 'lawman_pro_slider_exerpt', 30 ) )  ) ; ?></p>
    </div><!-- .entry-content-->

    <div class="read-more">
        <a href="<?php echo esc_url($content['url']); ?>" class="btn"><?php echo esc_html(get_theme_mod('lawman_pro_slider_btn_title', __('Free Consultation','lawman-pro')));?></a>
        <?php if ( !empty(get_theme_mod('lawman_pro_slider_btn_2_url') ) && !empty( get_theme_mod('lawman_pro_slider_btn_2_title') ) ): ?>
            <a href="<?php echo esc_url( get_theme_mod('lawman_pro_slider_btn_2_url') ) ?>" class="btn" tabindex="0"><?php echo esc_html(get_theme_mod('lawman_pro_slider_btn_2_title', __('Take a Tour','lawman-pro')));?></a>    
        <?php endif ?>
        
    </div><!-- .read-more -->
<?php return ob_get_clean();
} ?>


<div id="featured-slider" data-slick='{"slidesToShow": 1, "slidesToScroll": 1, "infinite": true, "speed": 1500, "dots": false, "arrows":true, "autoplay": false, "draggable": true, "fade": false }'>
    <?php foreach($content_details as $content ): ?>
    <article style="background-image:url('<?php echo esc_url(get_the_post_thumbnail_url($content['id'],'full')); ?>');">
        <?php if ( get_theme_mod( 'lawman_pro_slider_overlay', true ) == true ): ?>
            <div class="overlay"></div>
        <?php endif; ?>
        <div class="wrapper">
            <div class="featured-content-wrapper">
                <?php if($home_layout == 'first-design' || $home_layout == 'fourth-design'):
                // echo '<div class="entry-container">';
                // lawman_pro_slider_header_section($content);
                // echo '</div>';
                       echo sprintf('<div class="entry-container">%s</div>', lawman_pro_slider_header_section($content)); 
                    elseif($home_layout == 'second-design') :
                        echo lawman_pro_slider_header_section($content); 
                    endif;
                ?>
            </div><!-- .featured-content-wrapper -->
        </div><!-- .wrapper -->
    </article>
    <?php endforeach; ?>
</div><!-- #featured-slider -->
