<?php
/**
 * Template part for displaying front page imtroduction.
 *
 * @package Moral
 */

// Get the content type.
$team = get_theme_mod( 'lawman_pro_team', 'cat' );
$team_num	= get_theme_mod( 'lawman_pro_team_num', 4 ) ;
// Bail if the section is disabled.
if ( 'disable' === $team ) {
	return;
}

$content_details = lawman_pro_get_section_content( 'team', $team, $team_num );

?>

<div id="team" class="page-section no-padding-bottom" style="background-image: url('<?php echo esc_url( get_theme_mod('lawman_pro_team_background_image')); ?>">
    <div class="wrapper">
        <div class="section-header-wrapper">
            <div class="section-header">
                <p class="section-subtitle"><?php echo esc_html(get_theme_mod('lawman_pro_team_sub_title',__('Team','lawman-pro'))); ?></p>
                <h2 class="section-title"><?php echo esc_html(get_theme_mod('lawman_pro_team_title',__('Meet Our Expert Attorneys','lawman-pro'))); ?></h2>
            </div><!-- .section-header -->

            <div class="section-content">
                <p><?php echo wp_kses_post(get_theme_mod('lawman_pro_team_content')); ?></p>
            </div><!-- .section-content -->

            <?php if ( !empty( get_theme_mod( 'lawman_pro_team_btn_title') && !empty( get_theme_mod('lawman_pro_team_btn_url') )) ): ?>
                <div class="read-more">
                    <a href="<?php echo esc_url( get_theme_mod('lawman_pro_team_btn_url') ) ?>" class="btn">
                        <?php echo esc_html( get_theme_mod( 'lawman_pro_team_btn_title', __('Meet Our Team','lawman-pro') ) ); ?>
                    </a>
                </div>
            <?php endif; ?> 
        </div>
        <div class="team-wrapper col-4 clear">
            <?php foreach ($content_details as $i=>$content): ?>

            <article class="hentry">
                <div class="team-item-wrapper">
                    <div class="featured-image" style="background-image:url('<?php echo esc_url(get_the_post_thumbnail_url($content['id'],'medium_large')); ?>')">
                    </div><!-- .featured-image -->

                    <div class="entry-container">
                        <header class="entry-header">
                            <h2 class="entry-title"><a href="<?php echo esc_url($content['url']); ?>"><?php echo $content['title']; ?></a></h2>
                            <span class="member-position"><?php echo esc_html(get_theme_mod('lawman_pro_team_post_sub_title_'.($i+1))); ?></span>
                        </header>
                    </div><!-- .entry-container -->
                </div><!-- .team-item-wrapper -->
            </article>
            <?php endforeach; ?>
        </div>
    </div>
</div>
