<?php
/**
 * Template part for displaying front page imtroduction.
 *
 * @package Moral
 */


// Get the content type.
$testinomial = get_theme_mod( 'lawman_pro_testinomial', 'cat' );
$testinomial_num	= get_theme_mod( 'lawman_pro_testinomial_num', 3 ) ;
$home_layout = get_theme_mod( 'lawman_pro_homepage_layout', 'first-design' ) ;


// Bail if the section is disabled.
if ( 'disable' === $testinomial ) {
    return;
}

$content_detail = lawman_pro_get_section_content( 'testinomial', $testinomial, $testinomial_num );

?>
<div id="testimonial" class="page-section" style="background-image: url('<?php echo esc_url( get_theme_mod('lawman_pro_testinomial_background_image') ); ?>'); ">
        <?php if ( get_theme_mod( 'lawman_pro_testinomial_overlay' ) == true ): ?>
            <div class="overlay"></div>
        <?php endif; ?>
    <div class="wrapper">
        <?php if($home_layout == 'first-design') : ?>
            <div class="section-header">
                <p class="section-subtitle"><?php echo esc_html(get_theme_mod('lawman_pro_testinomial_sub_title',__('Testimonials','lawman-pro'))); ?></p>
                <h2 class="section-title"><?php echo esc_html(get_theme_mod('lawman_pro_testinomial_title',__('Every Client Matters','lawman-pro'))); ?></h2>
            </div><!-- .section-header -->
        <?php endif; ?>

        <div class="testimonial-slider" data-slick='{"slidesToShow": 1, "slidesToScroll": 1, "infinite": true, "speed": 1500, "dots": true, "arrows":false, "autoplay": false, "draggable": true, "fade": false }'>
            <?php foreach ($content_detail as $i=>$content): ?>
            
            <article>
                <div class="testimonial-wrapper">
                <?php if($home_layout == 'second-design') : ?>
                    <div class="author-img">
                        <a href="<?php echo esc_url($content['url']); ?>" tabindex="-1"><img src="<?php echo esc_url( get_the_post_thumbnail_url( $content['id'], 'post-thumbnail' ) ); ?>" alt="client"></a>
                    </div>
                <?php endif; ?>
                
                    <div class="entry-container">
                        <div class="quote-icon">
                            <img src="<?php echo esc_url(get_template_directory_uri().'/assets/img/quote.png'); ?>" alt="quote">
                        </div><!-- .quote-icon -->

                        <div class="entry-content">
                            <p><?php echo esc_html( wp_trim_words( $content['content'], get_theme_mod( 'lawman_pro_testinomial_exerpt', 30 ) )  ) ; ?></p>
                        </div><!-- .entry-content -->

                        <div class="title-wrapper">
                            <?php if($home_layout == 'first-design' && has_post_thumbnail($content['id'])) : ?>
                                <a href="<?php echo esc_url($content['url']); ?>" tabindex="-1"><img src="<?php echo esc_url( get_the_post_thumbnail_url( $content['id'], 'post-thumbnail' ) ); ?>" alt="client"></a>
                            <?php endif; ?>
                            <header class="entry-header">
                                <p><a href="<?php echo esc_url($content['url']); ?>"><?php echo $content['title']; ?></a>&nbsp;<?php echo esc_html( get_theme_mod('lawman_pro_testinomial_post_sub_title_'.($i+1), __('Public Relation', 'lawman-pro')) );?></p>
                            </header>
                        </div><!-- .title-wrapper -->
                    </div><!-- .entry-container -->
                </div>
            </article>
            <?php endforeach; ?>

        </div><!-- .testimonial-slider -->
    </div><!-- .wrapper -->
</div><!-- #testimonial -->
